Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

In my work's intranet there is a local ubuntu repo and wine ppa.

sources.list:

deb http://***<myintranet>***/ubuntu/ saucy main multiverse restricted universe 
deb http://***/ubuntu/ saucy-updates main multiverse restricted universe 
deb http://***/ubuntu/ saucy-security main multiverse restricted universe 
deb http://***/ubuntu/ saucy-backports main multiverse restricted universe 

deb http://***/ubuntu-ppa/wine lucid main
deb http://***/ubuntu-ppa/wine precise main
deb http://***/ubuntu-ppa/wine quantal main
deb http://***/ubuntu-ppa/wine raring main

Now when I do sudo apt-get install wine I got this error:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 wine : Depends: wine1.6 but it is not going to be installed or
                 wine1.7 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I don't know why is this happening, my coworkers are using the same configuration with ubuntu 13.10 and are just fine. And with this configuration in linux mint 15 I was able to install wine without problems.

Any suggestions? Maybe I must install something first?

I've also tried sudo apt-get install wine1.7:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 wine1.7 : Depends: wine1.7-amd64 (= 1:1.7.13-0ubuntu1) but it is not going to be installed
           Depends: wine1.7-i386 (= 1:1.7.13-0ubuntu1)
E: Unable to correct problems, you have held broken packages.

EDIT:

This is how I have my sources now:

deb http://***/ubuntu saucy main multiverse restricted universe
deb http://***/ubuntu saucy-updates main multiverse restricted universe
deb http://***/ubuntu saucy-security main multiverse restricted universe
deb http://***/ubuntu saucy-backports main multiverse restricted universe

And this is /etc/apt/:

enter image description here

Output of apt-cache madison ^wine:

winefish | 1.3.3-0dl1ubuntu2 | http://***/ubuntu/ saucy/universe amd64 Packages
wine1.4-amd64 | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
      wine | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
winetricks | 0.0+20130702+svn1032-1 | http://***/ubuntu/ saucy/universe amd64 Packages
   wine1.4 | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
wine-gecko1.4 | 1.4.0-0ubuntu2 | http://***/ubuntu/ saucy/multiverse amd64 Packages
wine1.4-dbg | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
wine1.4-dev | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages

Note that now I only have access to wine1.4 which is in the ubuntu repo. If I add the ppa again this is the ouput of apt-cache madison ^wine:

winefish | 1.3.3-0dl1ubuntu2 | http://***/ubuntu/ saucy/universe amd64 Packages
wine1.5-dbg | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.5-dbg | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.5-dbg | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.5-dev | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.5-dev | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.5-dev | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine-mono4.5.0 | 4.5.0-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-mono4.5.0 | 4.5.0-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-mono4.5.0 | 4.5.0-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine-mono4.5.2 | 4.5.2-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-mono4.5.2 | 4.5.2-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-mono4.5.2 | 4.5.2-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.6-dbg | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.6-dbg | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.6-dbg | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.4-amd64 | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
wine1.4-amd64 | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.4-amd64 | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.6-dev | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.6-dev | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.6-dev | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
      wine | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
      wine | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
      wine | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
      wine | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
      wine | 1.2.3-0ubuntu1~ppa2~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
wine1.5-amd64 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.5-amd64 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.5-amd64 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.3-gecko |    1.4.0+1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
winetricks | 0.0+20130707~precise1~ppa1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
winetricks | 0.0+20130707~precise1~ppa1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
winetricks | 0.0+20130707~precise1~ppa1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
winetricks | 0.0+20130702+svn1032-1 | http://***/ubuntu/ saucy/universe amd64 Packages
winetricks | 0.0+20120308~ppa1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
wine1.7-dbg | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.7-dbg | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.7-dbg | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.7-dev | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.7-dev | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.7-dev | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine-mono0.0.4 | 0.0.4-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-mono0.0.4 | 0.0.4-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-mono0.0.8 | 0.0.8-0ubuntu1~ppa2 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-mono0.0.8 | 0.0.8-0ubuntu1~ppa2 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-mono0.0.8 | 0.0.8-0ubuntu1~ppa2 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.6-amd64 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.6-amd64 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.6-amd64 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
  wine-dev | 1.2.2-1ubuntu1~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
wine1.2-dbg | 1.2.3-0ubuntu1~ppa2~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
wine-gecko2.21 | 2.21-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-gecko2.21 | 2.21-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-gecko2.21 | 2.21-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine-gecko2.24 | 2.24-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-gecko2.24 | 2.24-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-gecko2.24 | 2.24-0ubuntu1~ppa1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.7-amd64 | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.7-amd64 | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.7-amd64 | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.2-dev | 1.2.3-0ubuntu1~ppa2~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
   wine1.2 | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
   wine1.2 | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
   wine1.2 | 1.2.3-0ubuntu1~ppa2~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
   wine1.3 | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
   wine1.3 | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
   wine1.3 | 1.4-0ubuntu1~ppa1~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
   wine1.4 | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
   wine1.4 | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
   wine1.4 | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
   wine1.5 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
   wine1.5 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
   wine1.5 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
   wine1.6 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
   wine1.6 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
   wine1.6 | 1:1.6.1-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
   wine1.7 | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
   wine1.7 | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
   wine1.7 | 1:1.7.13-0ubuntu1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.3-dbg | 1.4-0ubuntu1~ppa1~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
wine-gecko | 1.2.2-1ubuntu1~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
wine1.3-dev | 1.4-0ubuntu1~ppa1~lucid1 | http://***/ubuntu-ppa/wine/ lucid/main amd64 Packages
wine-gecko1.4 | 1.4.0-0ubuntu2 | http://***/ubuntu/ saucy/multiverse amd64 Packages
wine-gecko1.5 | 1.5-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-gecko1.6 | 1.6-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-gecko1.7 | 1.7-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-gecko1.7 | 1.7-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-gecko1.8 | 1.8-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-gecko1.8 | 1.8-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-gecko1.8 | 1.8-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine-gecko1.9 | 1.9-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine-gecko1.9 | 1.9-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine-gecko1.9 | 1.9-0ubuntu1~ppa1~precise1 | http://***/ubuntu-ppa/wine/ raring/main amd64 Packages
wine1.4-dbg | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
wine1.4-dbg | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.4-dbg | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.4-common | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.4-common | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages
wine1.4-dev | 1.4.1-0ubuntu7 | http://***/ubuntu/ saucy/universe amd64 Packages
wine1.4-dev | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ precise/main amd64 Packages
wine1.4-dev | 1.4.1-0ubuntu1~precise1~ppa4 | http://***/ubuntu-ppa/wine/ quantal/main amd64 Packages

EDIT 2:

After setting the sources to the saucy repo:

deb http://***/ubuntu saucy main multiverse restricted universe
deb http://***/ubuntu saucy-updates main multiverse restricted universe
deb http://***/ubuntu saucy-security main multiverse restricted universe
deb http://***/ubuntu saucy-backports main multiverse restricted universe

This is the ouput of apt-get install wine:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 wine : Depends: wine1.4 but it is not going to be installed
 wine1.4-amd64 : Depends: libgphoto2-2 (>= 2.4.10.1) but it is not installable
                 Depends: libgphoto2-port0 (>= 2.4.10.1) but it is not installable
 wine1.4-common : Depends: wine1.4 (= 1.4.1-0ubuntu1~precise1~ppa4) but it is not going to be installed
 wine1.4-i386:i386 : Depends: libgphoto2-2:i386 (>= 2.4.10.1) but it is not installable
                     Depends: libgphoto2-port0:i386 (>= 2.4.10.1) but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
share|improve this question
    
That's not your entire sources.list is it? You seem to also be using Mint's incoming repo. You also have 4 different Ubuntu distros in your list, that can also cause this problem depending on the way you've set it up. By the way, are you sure this is Mint and not Mint Debian? AFAIK, Incoming is an LMDE thing –  terdon Feb 27 '14 at 16:27
    
I'm using Mint 16 Cinnamon amd64. And yes I've copy pasted all the distros of the wine ppa as a last resource cause trying with just the saucy repo was not working (But it is working for the ubuntu users). And about the incoming repo how could I disable it? –  xndrme Feb 27 '14 at 16:44
    
Please edit your question and add the output of apt-cache madison ^wine, and make sure you remove all other versions from your sources, you should only use the ones that correspond to the version you're on. Finally, please post the entire /etc/apt/sources.list as well as any files in /etc/apt/sources.list.d/ –  terdon Feb 27 '14 at 16:50
    
@terdon I've added requested info –  xndrme Feb 27 '14 at 17:07
    
OK, each time you make a change to your sources, you need to run sudo apt-get update for those changes to take effect. The output of apt-cache madison shows that you haven't since it lists stuff from the repos you have deleted. Make sure you run that command before running the apt-cache. Also, you are showing the contents of the /apt/ directory but I asked for the content of any files in /etc/apt/sources.list.d since they will be appended to the contents of /etc/apt/sources.list. –  terdon Feb 27 '14 at 17:11

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.